import wepy from 'wepy'

export default class cfgMixin extends wepy.mixin {
  $getPrice(name) {
    let cfgObj = wepy.getStorageSync('cfg');
    let price = cfgObj.ext_json_cfg;
    let obj = {"product_price": 50, "vip_price": 5000, "vip_discount": 3000, "month_price": 1500, "month_discount": 1000};
    if (price) {
      try {
        obj = JSON.parse(price);
      } catch (err) {
        console.log('parse json error');
      }
    }
    return obj[name];
  }
}
